=== debian/changelog ===
ros-indigo-mrpt-localization (0.1.14-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.13-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.12-0trusty) trusty; urgency=high

  * Put the ROS log setting withing if MRPT_VERSION>=0x150 so it doesn't break the compilation agains .deb mrpt libs
  * Restamp pose on first iteration with ROS time because filter time is still not initialized and can create problems when integrating on robot_localization
  * Set ROS log level also on MRPT internal log system. Prevents spamming of [FIXED_SAMPLING] and [ADAPTIVE SAMPLE SIZE] messages
  * Modify so we can use in conjuntion with robot_localization package: provide a PoseWithCovarianceStamped, allow disabling tf publishing and make transform_tolerance a parameter
  * Contributors: Jorge Santos

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.11-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.10-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.9-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.8-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.7-0trusty) trusty; urgency=high

  * Fix laser scan stamp problem. TODO: something is still broken since nothing pops up for mrpt_pose
  * fix almost everything to add a pose publisher
  * Contributors: Megacephalo

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.6-0trusty) trusty; urgency=high

  * New support for range-only (RO) localization
  * fix build against mrpt <1.3.0
  * Contributors: Jose Luis Blanco, Jose Luis Blanco-Claraco, Raphael Zack

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-indigo-mrpt-localization (0.1.5-0trusty) trusty; urgency=high

  * fix to strange pf-localization bug
  * Cleaner build against mrpt 1.3.0
  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-indigo-mrpt-localization (0.1.4-0trusty) trusty; urgency=high

  * dont publish if numSubscribers()==0
  * fixes for mrpt 1.3.0
  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * pose_cov_ops removed from mrpt_navigation metapkg
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 26 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-localization (0.1.3-0trusty) trusty; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-localization (0.1.2-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-localization (0.1.1-0trusty) trusty; urgency=high

  * First public binary release.

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-localization (0.1.0-0trusty) trusty; urgency=high

  * consistent version numbers
  * fix build error without WX
  * Fixes broken dependencies
  * config and demos tested
  * localization working like amcl

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000
